%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Chooses the best out of a pair of lotteries L
%
%C(i,s) is the matrix of optimal consumption in each lottery i state s, as in get_C.m
%gamma1(i) is gamma1 of lottery i, and mu1 the same.
%
%



function [chosen_lottery C gamma1 mu1] = decision(param,L)

load_param;
k = length(PA);
C = ones(2,k)*x;
i = 1;
gap = 1;

while (gap>(10^(-5)))&& (i<100)               %Iterates for the fixed point
    i=i+1;
    C_lag = C;
    gamma1 = get_gamma1(C,param,L);
    C      = get_C(gamma1,param,L);
    gap = norm(abs(C-C_lag));
end;

% Compute utilities
[gamma1 uh ul] = get_gamma1(C,param,L);    %ul is the vecor of current utilities in the optimal plan. uh is a vector u^bar u^bar
mu1 = (1+gamma1).^(1/rho);
future_U = P .* U2(J-C);
future_U = sum(future_U,2);

U =(ul-g(uh-ul)) + delta*future_U;    % Mod constants.
[aux chosen_lottery] = max(U);