%%%%%%%%%%%%%%%%%%%%%
% Does a table just like table six on the paper pp 24
%%%%%%%%%%%%%%%%%%%%%

% Preamble
    clear;

    x   = [20   20  40  40  80  80  ];
    rho = [1.06 2.1 1.3 2.8 1.8 4.2 ];
    define_allais;

    n = length(x);
    T_edu  = zeros(n,9);
    T_orig = zeros(n,11);

    param.delta = 1 - 0.01/365;
    % param.delta = 1.01 .^ (-1/365);
    param.tau   = 0.57;

% Generate a new table 6
    for i =1:n
        [gamma_star mu_star gamma_reversal GAMMA_reversal mu_1 mu_2] = reversal(x(i),rho(i),L1,L2);
        T_edu(i,:) = [ x(i) rho(i) mu_star gamma_reversal GAMMA_reversal mu_1' mu_2'];
    end;


% Now one with the gammas on the original table 6
    v_gamma = [21.5 26.4 15.35 10.4 13.9 2.56];
    v_GAMMA = [0.473 23.9 1.61 37.3 1.45 58.3];

    for i = 1:n
        param.x = x(i);
        param.rho = rho(i);
        param.gamma = v_gamma(i);
        param.GAMMA = v_GAMMA(i);
        [choice1 C gamma1_1 mu_1] = decision(param,L1);
        [choice2 C gamma1_2 mu_2] = decision(param,L2);
        T_orig(i,:) = [x(i) rho(i) T_edu(i,3) v_gamma(i) v_GAMMA(i) mu_1' mu_2' choice1 choice2];
    end;
