% Load the parameters
rho   = param.rho;
x     = param.x;
delta = param.delta;


% Load variables derived from them
u  = @(c) (c./x).^(1-rho) ./ (1-rho); %Up to a constant utility is this, as the club is fixed at x
g =  @(s) param.gamma .* s + param.GAMMA .* s.^2 ./2;
U2 = @(extra_savings) (1/(1-delta)) .* ...
    log(extra_savings + x/(1-delta) );   %Up to a constant. extra_savings is z-c.

% Load the lotteries

PA = L.PA;
PB = L.PB;
P  = [PA;PB];
JA = L.JA;
JB = L.JB;
J  = [JA;JB];