%%%%%%%%%%%%%%%%%%%%%
% Does a table just like table seven on the paper pp 26
%%%%%%%%%%%%%%%%%%%%%

% Preamble
    clear;

    x   = [ 40  40  ];
    rho = [ 1.3 2.8 ];
    define_original_allais;

    n = length(x);
    T_edu  = zeros(n,9);
    T_orig = zeros(n,11);

    param.delta = 1 - 0.01/365;
    % param.delta = 1.01 .^ (-1/365);
    param.tau   = 0.57;

% Generate a new table 6
    for i =1:n
        [gamma_star mu_star gamma_reversal GAMMA_reversal mu_1 mu_2] = reversal(x(i),rho(i),L1,L2);
        T_edu(i,:) = [ x(i) rho(i) mu_star gamma_reversal GAMMA_reversal mu_1' mu_2'];
    end;


% Now one with the gammas on the original table 7
    v_gamma = [130000 340000];
    v_GAMMA = [1.48   6574  ];

    for i = 1:n
        param.x = x(i);
        param.rho = rho(i);
        param.gamma = v_gamma(i);
        param.GAMMA = v_GAMMA(i);
        [choice1 C1 gamma1_1 mu_1] = decision(param,L1);
        [choice2 C2 gamma1_2 mu_2] = decision(param,L2);
        T_orig(i,:) = [x(i) rho(i) T_edu(i,3) v_gamma(i) v_GAMMA(i) mu_1' mu_2' choice1 choice2];
    end;
